DefaultEnumerationAdapter (FreeMarker 2.3.35 API)
Description: declaration: package: freemarker.template, class: DefaultEnumerationAdapter

Package freemarker.template

# Class DefaultEnumerationAdapter

java.lang.Object
freemarker.template.WrappingTemplateModel
freemarker.template.DefaultEnumerationAdapter

All Implemented Interfaces:
  `WrapperTemplateModel`, `AdapterTemplateModel`, `TemplateCollectionModel`, `TemplateModel`, `TemplateModelWithAPISupport`, `Serializable`

public class DefaultEnumerationAdapter extends WrappingTemplateModel implements TemplateCollectionModel, AdapterTemplateModel, WrapperTemplateModel, TemplateModelWithAPISupport, Serializable
Adapts an `Enumeration` to the corresponding `TemplateModel` interface(s), most importantly to `TemplateCollectionModel`. Putting aside that it wraps an `Enumeration` instead of an `Iterator`, this is identical to `DefaultIteratorAdapter`, so see further details there.

Since:
  2.3.26
See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from interface freemarker.template.TemplateModel

  `NOTHING`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DefaultEnumerationAdapter`
  `adapt​(Enumeration<?> enumeration, ObjectWrapper wrapper)`
  Factory method for creating new adapter instances.
  `Object`
  `getAdaptedObject​(Class<?> hint)`
  Retrieves the underlying object, or some other object semantically equivalent to its value narrowed by the class hint.
  `TemplateModel`
  `getAPI()`
  Returns the model that exposes the (Java) API of the value.
  `Object`
  `getWrappedObject()`
  Retrieves the original object wrapped by this model.
  `TemplateModelIterator`
  `iterator()`
  Retrieves a template model iterator that is used to iterate over the elements in this collection.

  ### Methods inherited from class freemarker.template.WrappingTemplateModel

  `getDefaultObjectWrapper, getObjectWrapper, setDefaultObjectWrapper, setObjectWrapper, wrap`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### adapt

    public static DefaultEnumerationAdapter adapt​(Enumeration<?> enumeration, ObjectWrapper wrapper)
    Factory method for creating new adapter instances.
    Parameters:
      `enumeration` - The enumeration to adapt; can't be `null`.

  - ### getWrappedObject

    public Object getWrappedObject()
    Description copied from interface: `WrapperTemplateModel`
    Retrieves the original object wrapped by this model.
    Specified by:
      `getWrappedObject` in interface `WrapperTemplateModel`

  - ### getAdaptedObject

    public Object getAdaptedObject​(Class<?> hint)
    Description copied from interface: `AdapterTemplateModel`
    Retrieves the underlying object, or some other object semantically equivalent to its value narrowed by the class hint.
    Specified by:
      `getAdaptedObject` in interface `AdapterTemplateModel`
    Parameters:
      `hint` - the desired class of the returned value. An implementation should make reasonable effort to retrieve an object of the requested class, but if that is impossible, it must at least return the underlying object as-is. As a minimal requirement, an implementation must always return the exact underlying object when `hint.isInstance(underlyingObject)` holds. When called with `java.lang.Object.class`, it should return a generic Java object (i.e. if the model is wrapping a scripting language object that is further wrapping a Java object, the deepest underlying Java object should be returned).
    Returns:
      the underlying object, or its value accommodated for the hint class.

  - ### iterator

    public TemplateModelIterator iterator() throws TemplateModelException
    Description copied from interface: `TemplateCollectionModel`
    Retrieves a template model iterator that is used to iterate over the elements in this collection.
    Specified by:
      `iterator` in interface `TemplateCollectionModel`
    Throws:
      `TemplateModelException`

  - ### getAPI

    public TemplateModel getAPI() throws TemplateModelException
    Description copied from interface: `TemplateModelWithAPISupport`
    Returns the model that exposes the (Java) API of the value. This is usually implemented by delegating to `ObjectWrapperWithAPISupport.wrapAsAPI(Object)`.
    Specified by:
      `getAPI` in interface `TemplateModelWithAPISupport`
    Throws:
      `TemplateModelException`